## net.i2p.router.transport.tcp
Class TCPAddress

    java.lang.Object
      net.i2p.router.transport.tcp.TCPAddress

public class TCPAddress
extends java.lang.Object

Wrap up an address

Field Summary
`static java.lang.String` `PROP_HOST` Host name used in RouterAddress definitions
`static java.lang.String` `PROP_PORT` Port number used in RouterAddress definitions

Constructor Summary
`TCPAddress()`
`TCPAddress(java.net.InetAddress addr, int port)`
`TCPAddress(RouterAddress addr)`
`TCPAddress(java.lang.String host, int port)`

Method Summary
`boolean` `equals(java.lang.Object val)`
`boolean` `equals(RouterAddress addr)`
`java.net.InetAddress` `getAddress()`
`java.lang.String` `getHost()`
`int` `getPort()`
`int` `hashCode()`
`boolean` `isPubliclyRoutable()`
`static boolean` `isPubliclyRoutable(java.lang.String host)`
`void` `setAddress(java.net.InetAddress addr)`
`void` `setHost(java.lang.String host)`
`void` `setPort(int port)`
`RouterAddress` `toRouterAddress()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_PORT

    public static final java.lang.String PROP_PORT

  Port number used in RouterAddress definitions

  See Also:
    Constant Field Values

### PROP_HOST

    public static final java.lang.String PROP_HOST

  Host name used in RouterAddress definitions

  See Also:
    Constant Field Values

Constructor Detail

### TCPAddress

    public TCPAddress(java.lang.String host,
                      int port)

### TCPAddress

    public TCPAddress()

### TCPAddress

    public TCPAddress(java.net.InetAddress addr,
                      int port)

### TCPAddress

    public TCPAddress(RouterAddress addr)

Method Detail

### toRouterAddress

    public RouterAddress toRouterAddress()

### getHost

    public java.lang.String getHost()

### setHost

    public void setHost(java.lang.String host)

### getAddress

    public java.net.InetAddress getAddress()

### setAddress

    public void setAddress(java.net.InetAddress addr)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### isPubliclyRoutable

    public boolean isPubliclyRoutable()

### isPubliclyRoutable

    public static boolean isPubliclyRoutable(java.lang.String host)

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object val)

### equals

    public boolean equals(RouterAddress addr)